Package com.opensymphony.module.sitemesh.parser

# Class FastPageParser.Tag

java.lang.Object
com.opensymphony.module.sitemesh.parser.FastPageParser.Tag

Enclosing class:
  `FastPageParser`

private class FastPageParser.Tag extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`nameEndIdx`
`Map`
`properties`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Tag()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addProperty(String name, String value)`
Adds a name/value property pair to this tag.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nameEndIdx

public int nameEndIdx

### properties

public Map properties

## Constructor Details

### Tag

private Tag()

## Method Details

### addProperty

public void addProperty(String name, String value)
Adds a name/value property pair to this tag. Each property that is added represents a property that was parsed from the tag's HTML.